/**************************************************************************/
/*                                                                        */
/* mpcx_init_set                                                          */
/*                                                                        */
/* initialises h with the precision of f and copies f to h                */
/* necessary                                                              */
/*                                                                        */
/* Copyright (C) 2007 Andreas Enge                                        */
/*                                                                        */
/* Last changes: August 31, 2007                                          */
/*                                                                        */
/**************************************************************************/

#include "mpcx-impl.h"

void mpcx_init_set (mpcx_ptr h, mpcx_srcptr f) {
   int i;

   mpcx_init2 (h, f->deg + 1, f->prec);

   h->deg = f->deg;
   for (i = 0; i <= f->deg; i++)
      mpc_set (h->coeff [i], f->coeff [i], MPC_RNDNN);
}
