/**************************************************************************/
/*                                                                        */
/* mpcx_mv                                                                */
/*                                                                        */
/* "moves" g into f; f should not have been initialised, and g should not */
/* be cleared later. The idea is to have initialised g, move its content  */
/* to f and later clear f.                                                */
/*                                                                        */
/* Copyright (C) 2007 Andreas Enge                                        */
/*                                                                        */
/* Last changes: August 31, 2007                                          */
/*                                                                        */
/**************************************************************************/

#include "mpcx-impl.h"

void mpcx_mv (mpcx_ptr f, mpcx_srcptr g) {
   f [0] = g [0];
}
