/**************************************************************************/
/*                                                                        */
/* mpcx_set                                                               */
/*                                                                        */
/* copies f to h; the size of h is preserved if it is bigger than         */
/* necessary                                                              */
/*                                                                        */
/* Copyright (C) 2007 Andreas Enge                                        */
/*                                                                        */
/* Last changes: August 31, 2007                                          */
/*                                                                        */
/**************************************************************************/

#include "mpcx-impl.h"

void mpcx_set (mpcx_ptr h, mpcx_srcptr f) {
   int i;

   if (h->size < f->deg + 1)
      mpcx_realloc2 (h, f->deg + 1);

   h->deg = f->deg;
   for (i = 0; i <= f->deg; i++)
      mpc_set (h->coeff [i], f->coeff [i], MPC_RNDNN);
}
