/**************************************************************************/
/*                                                                        */
/* mpcx_clear                                                             */
/*                                                                        */
/* frees the polynomial f and its coefficients                            */
/*                                                                        */
/* Copyright (C) 2007 Andreas Enge                                        */
/*                                                                        */
/* Last changes: August 31, 2007                                          */
/*                                                                        */
/**************************************************************************/

#include "mpcx-impl.h"

void mpcx_clear (mpcx_ptr f) {
   int i;

   for (i = 0; i < f->size; i++)
      mpc_clear (f->coeff [i]);
   free (f->coeff);
   f->size = 0;
   f->deg = -1;
}
