/**************************************************************************/
/*                                                                        */
/* mpfrx_init_set                                                          */
/*                                                                        */
/* initialises h with the precision of f and copies f to h                */
/* necessary                                                              */
/*                                                                        */
/* Copyright (C) 2007 Andreas Enge                                        */
/*                                                                        */
/* Last changes: August 31, 2007                                          */
/*                                                                        */
/**************************************************************************/

#include "mpfrx-impl.h"

void mpfrx_init_set (mpfrx_ptr h, mpfrx_srcptr f) {
   int i;

   mpfrx_init2 (h, f->deg + 1, f->prec);

   h->deg = f->deg;
   for (i = 0; i <= f->deg; i++)
      mpfr_set (h->coeff [i], f->coeff [i], GMP_RNDN);
}
